#ifndef _headers

#define _headers


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "header.h"

#include "array.h"


typedef struct headerManager{

	unsigned short __classIndex;

	struct array * headers;


} headerManager;

void headerManager_parse( headerManager * this, char * headerContent );

void headerManager_display( headerManager * this );

void headerManager_add( headerManager * this, char * name,  char * value );

void headerManager_set( headerManager * this, char * name,  char * value );

int headerManager_getHeaderIndex( headerManager * this, char * name );

char * headerManager_getValue( headerManager * this, char * name );

header * headerManager_get( headerManager * this, char * name );

headerManager headerManager_new(  );

headerManager * headerManager_newPointer(  );

#endif
